module dab_bytework (
        input_V_V_dout,
        input_V_V_empty_n,
        input_V_V_read,
        output_V_din,
        output_V_full_n,
        output_V_write,
        tist_V_V_din,
        tist_V_V_full_n,
        tist_V_V_write,
        out_aresetn,
        bram0_V_address0,
        bram0_V_ce0,
        bram0_V_d0,
        bram0_V_q0,
        bram0_V_we0,
        bram1_V_address0,
        bram1_V_ce0,
        bram1_V_d0,
        bram1_V_q0,
        bram1_V_we0,
        ap_clk,
        ap_rst
)/*synthesis syn_black_box*/;
input  [7:0] input_V_V_dout;
input   input_V_V_empty_n;
output   input_V_V_read;
output  [8:0] output_V_din;
input   output_V_full_n;
output   output_V_write;
output  [7:0] tist_V_V_din;
input   tist_V_V_full_n;
output   tist_V_V_write;
output   out_aresetn;
output  [7:0] bram0_V_address0;
output   bram0_V_ce0;
output  [7:0] bram0_V_d0;
input  [7:0] bram0_V_q0;
output   bram0_V_we0;
output  [9:0] bram1_V_address0;
output   bram1_V_ce0;
output  [7:0] bram1_V_d0;
input  [7:0] bram1_V_q0;
output   bram1_V_we0;
input   ap_clk;
input   ap_rst;
endmodule

