`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    14:18:40 01/10/2016 
// Design Name: 
// Module Name:    delay_led 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module delay_led(
    input led_in,
    input aclk,
    input aresetn,
    output led_out
    );

    reg led_out = 1'b0;
    reg [31:0] conuter_n = 32'h00000000;
    /*****************************************************************************/
    /* MAIN CODE */
    /*****************************************************************************/
    always @(posedge aclk)
	 //always @(negedge aclk or negedge aresetn_in)
	 begin
        if (!aresetn)
		    begin
            conuter_n <= 32'h00000000;//is reset
				led_out <= 1'b0;
          end
		  else
		    begin
          if (led_in)
		      begin
              conuter_n <= 32'hFFFFFFFF;//is reset
				  led_out <= 1'b1;
            end
		    else
            if (conuter_n)
              conuter_n <= conuter_n - 1;//not reset
		      else
				  if (led_out)
		            led_out <= 1'b0;
			 end
	 end
endmodule